Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class DependBody

    java.lang.Object
      |
      +--DependBody

public class DependBody
extends java.lang.Object

Dependent body Stores

1. position vector in polar
2. radial and angular dynamics in another polar vector
3. reference to Universe

Constructor Summary
`DependBody(Universe u)`

Method Summary
`Vector` | `initDynam(Vector nw)` Sets the initial dynamics This method is called at start of simulation to set-up dynamics of body
`double` | `initPos(Vector cp)` Sets the initial position of body at start of simulation
`Vector` | `move(double time, boolean relativ)` Updates position of body This is main method for simulation It computes new position by using Kanonic form of Hamiltonian equotations and Runge-Kutta method for solving theese diferential equations

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependBody

    public DependBody(Universe u)

  Parameters:
    `u` - Belonging universe

Method Detail

### initPos

    public double initPos(Vector cp)

  Sets the initial position of body at start of simulation
  Parameters:
    `cp` - Cartesian position vector
  Returns:
    Distance from central body

### initDynam

    public Vector initDynam(Vector nw)

  Sets the initial dynamics This method is called at start of simulation to set-up dynamics of body
  Parameters:
    `nw` - Cartesian vector
  Returns:
    Vector of dynamics in polar. It is computed as vector substraction of nw and current position and some corrections are made.

### move

    public Vector move(double time,
                       boolean relativ)

  Updates position of body This is main method for simulation It computes new position by using Kanonic form of Hamiltonian equotations and Runge-Kutta method for solving theese diferential equations
  Parameters:
    `time` - Time period
    `relativ` - If computing is made ralativistacaly or not
  Returns:
    new position vector in polar

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD